Tech News, Reviews, Deals, and How-To's

Adobe Reader and Acrobat vulnerable to attack — what to do now

If you use Adobe Acrobat Reader to read PDFs, or Adobe Acrobat to create them, then it’s time to update. Adobe yesterday (Nov. 3) released new versions of both, for Mac and PC alike, to fix several severe security flaws.

There are 14 vulnerabilities in all, Adobe wrote in its security bulletin, ranging in severity from “Critical” to “Important.” The three in the former category all permit arbitrary code execution — i.e. a rogue PDF can use the flaws to hack your PC or Mac. 

Leave A Reply

Your email address will not be published.